# Maintainer: Li Zhenhuan <lizhenhuan1019@qq.com>

pkgname='lzhlib'
pkgver='0.3.3'
pkgrel=0
_pkgtag="v${pkgver}-${pkgrel}"
pkgdesc='C++ library for personal use.'
arch=('i686' 'x86_64')
license=('MIT')
url='https://gitlab.com/LiZhenhuan1019/lzhlib'
source=("lzhlib-${_pkgtag}.src.tar.gz::https://gitlab.com/LiZhenhuan1019/lzhlib/-/archive/${_pkgtag}/lzhlib-${_pkgtag}.tar.gz")
options=(!emptydirs)
makedepends=('')
install='lzhlib.install'

build() {
    cmake -DCMAKE_BUILD_TYPE=Debug -S "${srcdir}/lzhlib-${_pkgtag}" -B "build-debug"
    cmake --build "build-debug/"
    cmake -DCMAKE_BUILD_TYPE=Release -S "${srcdir}/lzhlib-${_pkgtag}" -B "build-release"
    cmake --build "build-release/"
}

package() {
    cd "build-debug"
    make DESTDIR="${pkgdir}" install
    cd "../build-release"
    make DESTDIR="${pkgdir}" install
}
md5sums=('3300260cbe19af0b9d46512fcb9e1380')
